/*
 * @Author: Fly
 * @Date: 2025-12-10 10:06:13
 * @LastEditTime: 2025-12-22 11:21:05
 * @Description: 
 */
import request from '@/utils/request'

// 查询代理列表
export function agentPage(query) {
    return request({
        url: '/agent/agent/page',
        method: 'get',
        params: query
    })
}

// 获取代理详细信息
export function agentInfo(agentId) {
    return request({
        url: `/agent/agent/info/${agentId}`,
        method: 'get',
    })
}

// 统计金额
export function agentAmountStatistics(params) {
    return request({
        url: '/agent/agent/amountStatistics',
        method: 'get',
        params
    })
}

// 分页获取代理商家
export function agentBusinessPage(query) {
    return request({
        url: '/agent/agent/business/page',
        method: 'get',
        params: query
    })
}
